Get wallet automation
curl --request GET \
--url https://api.privy.io/v1/wallet_automations/{automation_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallet_automations/{automation_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallet_automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallet_automations/{automation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallet_automations/{automation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"app_id": "<string>",
"name": "<string>",
"status": "enabled",
"owner_id": "<string>",
"config": {
"trigger": {
"type": "deposit",
"assets": {
"mode": "all"
}
},
"action": {
"type": "swap",
"destination_chain_asset": {
"asset_address": "<string>",
"caip2": "<string>"
}
}
},
"created_at": "<string>",
"updated_at": "<string>"
}Wallet automations
Get wallet automation
Get a wallet automation by ID.
GET
/
v1
/
wallet_automations
/
{automation_id}
Get wallet automation
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
ID of the wallet automation.
Response
200 - application/json
The wallet automation.
A wallet automation.
Automation lifecycle state: 'enabled' = running, 'disabled' = not running.
Available options:
enabled, disabled Full configuration for a wallet automation (trigger + action).
Show child attributes
Show child attributes
Was this page helpful?

